Bug 13638 - Batch patron modification tool missing option to switch language
Summary: Batch patron modification tool missing option to switch language
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-01-28 16:50 UTC by Katrin Fischer
Modified: 2015-12-03 22:02 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13638 - Batch patron modification tool missing option to switch language (1.39 KB, patch)
2015-01-28 17:28 UTC, Owen Leonard
Details | Diff | Splinter Review
[Signed-off] Bug 13638 - Batch patron modification tool missing option to switch language (1.54 KB, patch)
2015-01-30 15:26 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 13638 - Batch patron modification tool missing option to switch language (1.58 KB, patch)
2015-02-02 15:49 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2015-01-28 16:50:12 UTC
The batch patron edit tool misses the language chooser at the bottom of the page.

To test:
- Install at least a second language
- Enable at least 2 languages (language system preference)
- Go to tools > Batch patron modification
- Verify that at the bottom of the page the language chooser is not shown
Comment 1 Owen Leonard 2015-01-28 17:28:34 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2015-01-30 15:26:27 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2015-02-02 15:49:21 UTC
Created attachment 35655 [details] [review]
Bug 13638 - Batch patron modification tool missing option to switch language

The batch patron modification tool's template was created without the
footer include at the bottom. Without the footer include the language
toolbar will not be displayed.

All page templates should include the global footer include:

[% INCLUDE 'intranet-bottom.inc' %]

To test:
 - Install at least a second language
 - Enable at least 2 languages (language system preference)
 - Go to tools > Batch patron modification
 - Verify that at the bottom of the page the language chooser is shown

Followed test plan. Works as expected.
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 4 Tomás Cohen Arazi 2015-02-09 16:47:32 UTC
Patch pushed to master.

Thanks Owen!
Comment 5 Chris Cormack 2015-02-12 21:37:25 UTC
Pushed to 3.18.x this  will be in 3.18.4
Comment 6 Mason James 2015-02-26 03:39:00 UTC
(In reply to Chris Cormack from comment #5)
> Pushed to 3.18.x this  will be in 3.18.4

Pushed to 3.16.x, will be in 3.16.8